VOOZH about

URL: https://docs.similarweb.com/api-v5/api-reference/search-analysis-api/keyword-competitors

⇱ Similarweb API V5 Documentation


Getting Started

Sections

Theme switcher

Keyword Competitors

Returns a list of websites that are competing for the same keywords as the given domain, overlap score and % of shared keywords

Constraints:

  • Snapshot endpoint - results are based on the last 3 months only - granularity supports only monthly granularity for the last 3 months - web_source: 'desktop' or 'mobile_web' only ('total' is not supported)- traffic_source: 'organic' or 'paid' only ('all' is not supported)

Output Data:

  • url: Competitor domain URL
  • score: Affinity score indicating similarity in keyword targeting
  • shared_keywords: Number of shared keywords with the target domain

Header Parameters

api-keystring

Query Parameters

domainstring Required

Website domain without 'www.' (e.g., 'example.com')

start_datestring

Start date in 'YYYY-MM' or 'YYYY-MM-DD' format

end_datestring

End date in 'YYYY-MM' or 'YYYY-MM-DD' format

granularitystring

Time granularity — 'monthly', 'weekly' or 'daily'

Enum values:
dailyweeklymonthly
web_sourcestring

Web Source to fetch data for — 'total', 'desktop', or 'mobile_web'

Enum values:
desktopmobile_webtotal
countrystring

Two-letter country code (e.g., 'us', 'gb', 'ww')

metricsarray

Comma-separated list of metrics: score, shared_keywords

Enum values:
scoreshared_keywords
main_domain_onlyboolean

'true' to analyze only the main domain (e.g., google.com), 'false' to include all subdomains (e.g., maps.google.com, docs.google.com). Default is 'false'

traffic_sourcestring

Traffic source to fetch data for — 'all', 'organic', or 'paid'

Enum values:
allorganicpaid
formatstring

Format in which the reply should be returned. Possible values: 'json' (default) or 'xml'

Enum values:
jsonxml
limitinteger

Number of items per page for pagination, default is 100

offsetinteger

Page number for pagination, starting from 1

ascboolean

Sort order direction, 'true' for ascending, 'false' for descending. Default is 'false'

Nullable:
True
sortstring

Sort order for the results, applied on the properties of the returned record;

Response

200
Object

Success

Response Attributes

metaobject
dataarray
Nullable:
True
Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?